Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Ошибка при установке пакетов  (Прочитано 2955 раз)

0 Пользователей и 1 Гость просматривают эту тему.

ildar86

  • Автор темы
  • Гость
Ошибка при установке пакетов
« : 24 Август 2017, 09:47:56 »
Добрый день возникает ошибка при установке пакетов как быть?
ildar@hp:~$ sudo apt-get install ruby libopenssl-ruby libyaml-ruby libdl-ruby libiconv-ruby libreadline-ruby irb ri rubygems
sudo: unable to resolve host hp
[sudo] пароль для ildar:
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Заметьте, вместо «irb» выбирается «ruby»
Заметьте, вместо «rubygems» выбирается «ruby»
Пакет libopenssl-ruby недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list

E: Для пакета «libopenssl-ruby» не найден кандидат на установку
E: Не удалось найти пакет libyaml-ruby
E: Не удалось найти пакет libdl-ruby
E: Не удалось найти пакет libiconv-ruby
E: Не удалось найти пакет libreadline-ruby

surfer

  • Автор темы
  • Гость
Re: Ошибка при установке пакетов
« Ответ #1 : 24 Август 2017, 10:15:09 »
поищи здесь недостающий пакет

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2084
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Ошибка при установке пакетов
« Ответ #2 : 24 Август 2017, 10:16:47 »
Терминал вам пишет:

Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list

Отсюда вопрос, какие источники у вас доступны или перестали быть доступны в sources.list и почему.

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 2827
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 21.04
    • Просмотр профиля
Re: Ошибка при установке пакетов
« Ответ #3 : 24 Август 2017, 13:12:41 »
ildar86, а если просто
sudo apt-get install ruby
Я странен, а не странен кто ж? (С)

ildar86

  • Автор темы
  • Гость
Re: Ошибка при установке пакетов
« Ответ #4 : 24 Август 2017, 13:40:31 »
ildar86, а если просто
Код: [Выделить]

sudo apt-get install ruby


Установился. А что это за пакет вообще ruby?
Вот что вообще я хочу сделать http://arhiv.xaker.name/threads/16229/.

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 6015
  • Windows10, i3wm on Debian9, Manjaro20.0
    • Просмотр профиля
Re: Ошибка при установке пакетов
« Ответ #5 : 24 Август 2017, 14:38:46 »
Ну что за туркменский комсомол?
Вы находитесь в архивной версии форума xaker.name. Здесь собраны темы с 2007 по 2012 год, большинство инструкций и мануалов уже неактуальны.
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

ildar86

  • Автор темы
  • Гость
Re: Ошибка при установке пакетов
« Ответ #6 : 24 Август 2017, 18:45:05 »
Всем спасибо.

Пользователь добавил сообщение 24 Август 2017, 19:31:18:
поищи здесь недостающий пакет

Нету пакетов.
« Последнее редактирование: 24 Август 2017, 19:31:18 от ildar86 »

 

Страница сгенерирована за 0.151 секунд. Запросов: 22.